Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser
Class TStatementList

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.TStatementList

All Implemented Interfaces:
  Visitable, java.util.Iterator<TCustomSqlStatement>

    public class TStatementList

extends TParseTreeNode
implements java.util.Iterator<TCustomSqlStatement>

List of SQL statements which is instance of class that descends from `TCustomSqlStatement`.

Constructor Summary
`TStatementList()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`void` | `add(TCustomSqlStatement p)`
`void` | `clear()`
`void` | `doParse(TCustomSqlStatement psql, ESqlClause plocation)` analyze this node
`TCustomSqlStatement` | `get(int p)`
`boolean` | `hasNext()`
`void` | `init(java.lang.Object arg1)` Initialize a query tree node.
`TCustomSqlStatement` | `next()`
`void` | `remove()`
`void` | `resetiterator()`
`int` | `size()`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TStatementList

    public TStatementList()

Method Detail

### resetiterator

    public void resetiterator()

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<TCustomSqlStatement>`

### next

    public TCustomSqlStatement next()

  Specified by:
    `next` in interface `java.util.Iterator<TCustomSqlStatement>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<TCustomSqlStatement>`

### size

    public int size()

### clear

    public void clear()

### add

    public void add(TCustomSqlStatement p)

### get

    public TCustomSqlStatement get(int p)

### init

    public void init(java.lang.Object arg1)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

### doParse

    public void doParse(TCustomSqlStatement psql,
                        ESqlClause plocation)

  Description copied from class: `TParseTreeNode`
  analyze this node

  Overrides:
    `doParse` in class `TParseTreeNode`

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD